# Generated by Django 4.0.4 on 2022-05-24 17:51

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Theme',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('theme', models.CharField(max_length=50, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Resource',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('resource_link', models.CharField(max_length=1000)),
                ('rec_date', models.DateTimeField(auto_now=True)),
                ('rec_format', models.TextField(choices=[('Video', 'Video'), ('Texte', 'Texte'), ('Audio', 'Audio')])),
                ('rec_comment', models.TextField(null=True)),
                ('rec_author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('rec_theme', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='historical.theme')),
            ],
        ),
        migrations.CreateModel(
            name='Query',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_query', models.TextField()),
                ('search_date', models.DateTimeField(auto_now=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Metadata',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.TextField()),
                ('description', models.TextField(null=True)),
                ('res_author', models.TextField(null=True)),
                ('pub_date', models.DateTimeField(null=True)),
                ('source', models.TextField(null=True)),
                ('link_ref', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='historical.resource')),
            ],
        ),
        migrations.AddConstraint(
            model_name='resource',
            constraint=models.UniqueConstraint(fields=('resource_link', 'rec_author'), name='couple_ressource_utiisateur_unique'),
        ),
    ]
